SEQ(1)

NOMBRE
seq - muestra una secuencia de números

SINOPSIS
seq [OPCIÓN]... ÚLTIMO
seq [OPCIÓN]... PRIMERO ÚLTIMO
seq [OPCIÓN]... PRIMERO INCREMENTO ÚLTIMO

DESCRIPCIÓN

muestra los números del PRIMERO al ÚLTIMO con una diferencia de INCREMENTO.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-f, --format=FORMATO
    emplea un FORMATO de coma flotante similar a printf

-s, --separator=CADENA
    emplea CADENA para separar los números (por defecto: \n)

-w, --equal-width
    iguala el ancho añadiendo ceros al principio

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Si se omiten PRIMERO o INCREMENTO, se sobreentiende su valor como 1 aunque ÚLTIMO sea menor que PRIMERO. Se finaliza la secuencia de números cuando la suma del número actual e incremento sea superior al valor de ÚLTIMO. Tanto PRIMERO como ÚLTIMO como INCREMENTO se consideran valores de coma flotante. INCREMENTO suele ser positivo si PRIMERO es mayor que ÚLTIMO y negativo en caso contrario. INCREMENTO no puede ser nulo. Los tres valores tienen que ser numéricos. 'FORMATO' debe ser adecuado para mostrar un argumento del tipo 'double'. Por defecto se interpreta como %.PRECf si los tres tienen la misma cantidad de decimales con la precisión PREC y %g si no la tienen.

AUTOR
scrito por Ulrich Drepper.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa en <https://www.gnu.org/software/coreutils/seq>
también disponible localmente ejecutando: info '(coreutils) seq invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.